# Ipopt::IndexPCalculator Class Reference

`#include <SensIndexPCalculator.hpp>`

Inheritance diagram for Ipopt::IndexPCalculator:
[legend]

List of all members.

## Public Member Functions
| IndexPCalculator (SmartPtr< SensBacksolver > backsolver, SmartPtr< SchurData > A_data)
| This class is the implementation of the PCalculator that corresponds to IndexSchurData.
virtual | ~IndexPCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Overloaded from PCalculator.
virtual bool | ComputeP ()
| Function to start the computation of P from E_0 and KKT.
virtual bool | GetSchurMatrix (const SmartPtr< const SchurData > &B, SmartPtr< Matrix > &S)
| Function to extract a SchurMatrix corresponding to $B K^{-1} A$.
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
## Private Attributes
Index | nrows_
| Rows of P = Rows of KKT.
Index | ncols_
| Cols of P.
std::map< Index, SmartPtr < PColumn > > | cols_

## Detailed Description

Definition at line 17 of file SensIndexPCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::IndexPCalculator::IndexPCalculator | ( | SmartPtr< SensBacksolver > | backsolver,
|  | SmartPtr< SchurData > | A_data |
| ) |  |  |

This class is the implementation of the PCalculator that corresponds to IndexSchurData.

It expects to be used with a kind of IndexSchurData.

virtual Ipopt::IndexPCalculator::~IndexPCalculator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::IndexPCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Overloaded from PCalculator.

Reimplemented from Ipopt::PCalculator.

virtual bool Ipopt::IndexPCalculator::ComputeP | ( |  | ) | `[virtual]`

Function to start the computation of P from E_0 and KKT.

Implements Ipopt::PCalculator.

virtual bool Ipopt::IndexPCalculator::GetSchurMatrix | ( | const SmartPtr< const SchurData > & | B,
|  | SmartPtr< Matrix > & | S |
| ) |  |  | `[virtual]`

Function to extract a SchurMatrix corresponding to $B K^{-1} A$.

If B==NULL, use A=B

Implements Ipopt::PCalculator.

virtual void Ipopt::IndexPCalculator::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix |
| ) |  |  | const`[virtual]`

Implements Ipopt::PCalculator.

## Member Data Documentation

Index Ipopt::IndexPCalculator::nrows_`[private]`

Rows of P = Rows of KKT.

Definition at line 47 of file SensIndexPCalculator.hpp.

Index Ipopt::IndexPCalculator::ncols_`[private]`

Cols of P.

Definition at line 50 of file SensIndexPCalculator.hpp.

std::map< Index, SmartPtr<PColumn> > Ipopt::IndexPCalculator::cols_`[private]`

Definition at line 52 of file SensIndexPCalculator.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensIndexPCalculator.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines